#pragma once

#include "gl.h"
#include "Mesh.h"

#include <glm/mat4x4.hpp>

#include <string>


class SkyBox {
public:

	SkyBox();

	~SkyBox();

	bool Load(const std::string basename);
	bool Load(GLuint target, const std::string filename);

	void Render(glm::mat4 mvp);

private:

	std::string fileNames[6];
	GLuint textureId, programId;
	GLint textureLoc, MVPloc;
	Mesh mesh;
	GLMesh glMesh;
};
